import { IViewChangedInternal } from "./widgetInternalApi.interfaces";
import { ViewChangedEvent, WidgetView } from "../apis/api.interfaces";
export declare class ViewChangedApi implements IViewChangedInternal {
    private _lastView;
    private _eventListeners;
    constructor();
    addEventListener(listener: (eventName: ViewChangedEvent) => void): void;
    removeEventListener(listener: (eventName: ViewChangedEvent) => void): void;
    fireViewChangedEvent(view: WidgetView): void;
    getView(): WidgetView;
    private fireEvent;
}
